Skip to content

Change Password

POST
/api/v1/auth/change-password
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/auth/change-password \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "current_password": "example", "new_password": "example" }'
Media typeapplication/json
ChangePasswordRequest
object
current_password
required
Current Password
string
>= 1 characters
new_password
required
New Password
string
>= 8 characters
Examplegenerated
{
"current_password": "example",
"new_password": "example"
}

Successful Response

Media typeapplication/json
ResetPasswordResponse

Response body for the reset-password endpoint.

Attributes: message: A success message.

object
message
required
Message
string
Examplegenerated
{
"message": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}